%define	name	xmms
%define	version	1.2.4
%define	release	1tc1
%define	serial	1
%define	prefix	/usr

## Check to see if libGL is installed. Build xmms-mesa if it is.
%define withGL	%(if [ -z "`rpm -q --whatprovides libGL.so.1 2>/dev/null`" ]; then echo 0; else echo 1; fi)

## Check to see if libmikmod is installed. Build xmms-mikmod if it is.
%define withmm	%(if [ -z "`rpm -q --whatprovides libmikmod.so.2 2>/dev/null`" ]; then echo 0; else echo 1; fi)

## Check to see if libvorbisfile is installed.  Build xmms-vorbis if it is.
%define withvorbis %(if [ -z "`rpm -q --whatprovides libvorbisfile.so.0 2>/dev/null`" ]; then echo 0; else echo 1; fi)

## Funky hack to get package names that provide libmikmod and libmikmod-config
## Becuase of the differing package names between redhat, mandrake, etc.
%if %{withmm} == 1
%define mikmod	%(rpm -qf --qf '%{NAME}' `rpm -qla |grep libmikmod-config$` |sed 's/-devel//g')
%define mmdev	%(rpm -qf --qf '%{NAME}' `rpm -qla |grep libmikmod-config$`)
%endif

Summary:	XMMS - Multimedia player for the X Window System.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Distribution:	BlueSky
Packager:	RedHat
Group:		Applications/Multimedia
Vendor:		XMMS Development Team #<bugs@xmms.org>
Url:		http://www.xmms.org/
Source:		%{name}-%{version}.tar.gz
Patch1:		xmms-1.2.4-mbstowcs.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Obsoletes:	x11amp, x11amp0.7-1-1
Requires:	gtk+ >= 1.2.2

%description
X MultiMedia System is a sound player written from scratch. Since it 
uses the WinAmp GUI, it can use WinAmp skins. It can play mp3s, mods, s3ms,
and other formats. It now has support for input, output, general, and
visualization plugins.

%package	devel
Summary:	XMMS - Static libraries and header files.
Group:		Applications/Multimedia
Obsoletes:	x11amp-devel
Requires:	%{name} = %{version}, glib-devel >= 1.2.2, gtk+-devel >= 1.2.2

%description	devel
Static libraries and header files required for compiling xmms plugins.

%package	esd
Summary:	XMMS - Output plugin for use with the esound package.
Group:		Applications/Multimedia
Requires:	%{name} = %{version}
Obsoletes:	x11amp-esd
Requires:	esound >= 0.2.8

%description	esd
Output plugin for xmms for use with the esound package

%package	gnome
Summary:	XMMS - applet for controlling xmms from the GNOME panel.
Group:		Applications/Multimedia
Requires:	%{name} = %{version}
Obsoletes:	x11amp-gnome
Requires:	gnome-libs >= 1.0.0

%description	gnome
GNOME applet for controlling xmms from the GNOME panel

%if %{withmm} == 1
%package	mikmod
Summary:	XMMS - Input plugin to play MODs.
Group:		Applications/Multimedia
Obsoletes:	x11amp-mikmod
Requires:	%{name} = %{version}
Requires:       %{mikmod} >= 3.1.6
BuildPrereq:    %{mmdev}

%description	mikmod
Input plugin for XMMS to play MODs (.MOD,.XM,.S3M, etc)
%endif

%if %{withvorbis} == 1
%package	vorbis
Summary:	XMMS - Input plugin to play OGGs
Group:		Applications/Multimedia
Requires:	%{name} = %{version}
Requires:	libogg >= 1.0beta3
Requires:	libvorbis >= 1.0beta3
BuildPrereq:	libogg-devel
BuildPrereq:	libvorbis-devel

%description   vorbis
Input plugin for XMMS to play Ogg Vorbis files (.ogg).
%endif

%if %{withGL} == 1
%package 	mesa
Summary:	XMMS - Visualization plugins that use the Mesa3d library.
Group:		Applications/Multimedia
Requires:	%{name} = %{version}

%description	mesa
Visualization plugins that use the Mesa3d library.
%endif

%prep
%setup -q
%patch1 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS";
unset LINGUAS || :;

./configure --prefix=%{prefix};
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc gnorbadir=$RPM_BUILD_ROOT/etc/CORBA/servers sysdir=$RPM_BUILD_ROOT/usr/share/applets/Multimedia install

# Strip binaries. But, not plugins.
strip --strip-unneeded $RPM_BUILD_ROOT%{prefix}/bin/*xmms;

# Install icons.
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/mini
install -m 644 xmms/xmms_logo.xpm \
	$RPM_BUILD_ROOT/usr/share/pixmaps/xmms_logo.xpm
install -m 644 xmms/xmms_mini.xpm \
	$RPM_BUILD_ROOT/usr/share/pixmaps/mini/xmms_mini.xpm

# Install wmconfig file
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 xmms/xmms.wmconfig \
	$RPM_BUILD_ROOT/etc/X11/wmconfig/xmms

# Install applnk file
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/
install -m 644 xmms/xmms.desktop \
	$RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/

# Install xmms.desktop file
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Multimedia/
install -m 644 xmms/xmms.desktop \
	$RPM_BUILD_ROOT/usr/share/gnome/apps/Multimedia/

mkdir -p ${RPM_BUILD_ROOT}%{prefix}/share/mime-info
cat > ${RPM_BUILD_ROOT}%{prefix}/share/mime-info/xmms.keys << EOF
audio/x-mp3:
        open=xmms %f
        view=xmms %f
EOF
chmod 644 ${RPM_BUILD_ROOT}%{prefix}/share/mime-info/xmms.keys

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/etc/X11/wmconfig/xmms
/etc/X11/applnk/Multimedia/xmms.desktop
%{prefix}/bin/xmms
%{prefix}/bin/wmxmms
%{prefix}/lib/libxmms.so.*
%{prefix}/lib/xmms/Input/libcdaudio*
%{prefix}/lib/xmms/Input/libidcin*
%{prefix}/lib/xmms/Input/libmpg123*
%{prefix}/lib/xmms/Input/libtonegen*
%{prefix}/lib/xmms/Input/libwav*
%{prefix}/lib/xmms/Output/libOSS*
%{prefix}/lib/xmms/Output/libdisk_writer*
%{prefix}/lib/xmms/General/*
%{prefix}/lib/xmms/Effect/*
%{prefix}/lib/xmms/Visualization/libbscope*
%{prefix}/lib/xmms/Visualization/libsanalyzer*
%{prefix}/share/xmms/*
/usr/share/locale/*/LC_MESSAGES/xmms.mo
/usr/share/pixmaps/xmms_logo.xpm
/usr/share/pixmaps/mini/xmms_mini.xpm
%{prefix}/share/mime-info/xmms.keys

%files devel
%defattr(-, root, root)
%{prefix}/bin/xmms-config
%{prefix}/lib/lib*.so
%{prefix}/lib/lib*.a
%{prefix}/include/*
%{prefix}/share/aclocal/xmms.m4

%files esd
%defattr(-, root, root)
%{prefix}/lib/xmms/Output/libesdout*

%files gnome
%defattr(-, root, root)
%{prefix}/bin/gnomexmms
/etc/CORBA/servers/gnomexmms.gnorba
/usr/share/applets/Multimedia/gnomexmms.desktop
/usr/share/gnome/apps/Multimedia/xmms.desktop

%if %{withmm} == 1
%files mikmod
%defattr(-, root, root)
%{prefix}/lib/xmms/Input/libmikmod*
%endif

%if %{withvorbis} == 1
%files vorbis
%defattr(-, root, root)
%{prefix}/lib/xmms/Input/libvorbis*
%endif

%if %{withGL} == 1
%files mesa
%defattr(-, root, root)
%{prefix}/lib/xmms/Visualization/libogl_spectrum*
%endif

%changelog
* Mon Nov 27 2000 Chun-Chung Chen <cjj@u.washington.edu>
- upgrade to 1.2.4
- xfont patch is now included in the origial xmms distribution
- patch to fix wchar_t to GdkWChar conversion problem in playlist_list.c

* Thu Oct 5 2000 Chun-Chung Chen <cjj@u.washington.edu>
- add a glibc patch to work around the segmentation fault on RH 7.0

* Thu Sep 21 2000 Chun-Chung Chen <cjj@u.washington.edu>
- fixed a bug rendered xfont invisible in the default skin
  Thanks to Konstantin Volckov <goldhead@linux.ru.net>

* Tue Sep 19 2000 Chun-Chung Chen <cjj@u.washington.edu>
- upgrade to 1.2.3
- po files removed since the official version is up to date

* Mon Sep 4 2000 Chun-Chung Chen <cjj@u.washington.edu>
- upgrade to 1.2.3-pre1
- zh_TW po file updates

* Tue Jul 11 2000 Chun-Chung Chen <cjj@u.washington.edu>
- upgrade to version 1.2.2

* Mon Jul 3 2000 Chun-Chung Chen <cjj@u.washington.edu>
- update zh po files
- move xmms.desktop to xmms-gnome at /usr/share/gnome/apps/Multimedia

* Mon Jun 19 2000 Chun-Chung Chen <cjj@u.washington.edu>
- upgrade to version 1.2.1

* Thu Mar 2 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- zh po updated

* Thu Feb 24 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- modify fonset
- set xfont_for_playinfo default TRUE

* Mon Feb 21 2000 Chun-Chung Chen <cjj@u.washington.edu>
- replace big5 patch by xfont patch

* Sun Feb 13 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- updated zh po files

* Thu Feb 10 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- new zh po files

* Thu Feb 3 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- split i18n and big5 patch
- update i18n patch, po files
- fix logo bug

* Wed Feb 2 2000 Chun-Chung Chen <cjj@u.washington.edu>
- update i18n and big5 patches for xmms-1.0.1
- merge changes from official xmms.rpm
- merge the two patches for easier maintance

* Tue Jan 25 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- steal i18n patch and many stuffs from Mandrake...:)
- add skins subpackage

* Fri Jan 14 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- Fixed unnecessary dependency

* Thu Sep 30 1999 Chih-Wei Huang <cwhuang@linux.org.tw>
- Modified from RHCN
- Added big5 patch to display Chinese on panel (by cjj)
- Changed gdk_font_load to gdk_fontset_load for i18n

* Mon Sep 27 1999 Ryan Weaver <ryanw@infohwy.com>
  [xmms-0.9.5.1-2]
- Rebuilt against Mesa-3.1beta3

* Mon Sep 27 1999 Ryan Weaver <ryanw@infohwy.com>
  [xmms-0.9.5.1-1]
- Fixed minor problems.

* Thu Sep 23 1999 Ryan Weaver <ryanw@infohwy.com>
  [xmms-0.9.5-2]
- Fixed problem with misdirected header files in source.

* Wed Sep 22 1999 Ryan Weaver <ryanw@infohwy.com>
  [xmms-0.9.5-1]
- Upgraded to version 0.9.5. See Changelog for complete listing.
